6/28/94

Tim Higgins          The "FIRST" history of these patches follows
CIS: 71011,1101      my statement.   Read on     

For those familiar with Pete Lyall's BIGD50.ZIP collection I have taken 
on the task of distilling that vast repository into an immediately usable 
library of complete 64 patch banks. The original duplicate banks have been
trimmed out. The 32 patch short banks have been loaded and joined to form
64 patch banks. It took loading 1 short bank into the front end of the D50
then moving each patch individually to fill the back end THEN going back
and loading another short bank into the front. Then dumping out to Cakewalk.
Also by doing all the bulk loads and dumps (even with the full banks), these 
banks will now give good "Complete" messages when loading to the D50.
You will find banks named ***1&2 or ***4&8. These are the combined short
banks. (i.e. Synths-1.D50 and Synths-2.D50)

There were some other complications within some of the banks that made them
practically unusable without troubleshooting. Some patches would "lock" the
keyboard when selected because the MIDI TxCH #, TxPC #, SepCH # were set to
weird settings. On another occasion a bank wouldn't load because the 1st
patch had been edited manually (someone experimenting with the Hex code
editor within a software sequencer no doubt). One of the tone parameters
had been set to "ff"- (only 155 points past the acceptable range) and 
then of course the "check sum" was no longer correct so the D50 stopped the
loading half-way through the first patch. Wheeeew!!!.. I had to figure out
how to calculate a freekin check sum after discovering the stinking "ff".
Get out your scientific calculators and sum 200 2bit hex codes and don't
make a mistake. 

The job of finding and deleting and condensing the scattered duplicate
patches that may still exist with different patch names I am now passing on
to the next D50 head. 

What follows is the history of this set of patch banks from BIGD50.ZIP
that was included with the archive.  Thanks to Pete. 

***************************************************************************

3/20/92

Pete Lyall
CIS: 76703,4230
Internet: pete@wlbr.imsd.contel.com


This is a file of 67 D50 banks. Some of them were taken from the UCSD
archive (Internet server UCSD.EDU). The rest were taken from a file of
D50 banks uploaded to Compuserve by Chris Bosshardt.

The UCSD banks had been stripped of all SYSEX envelopes, and could not
load without external 'wrapping' software.

All but 14 of the Bosshardt banks would not load for one of several
reasons, including:

	a) Proprietary formats
	b) Captures of HANDSHAKE transfers (TWO WAY mode)
	c) Corrupt banks
	d) Short banks
	e) Roland hardware sequencer image files

I spent a few days analyzing these problem formats, and wrote some
tools to read the odd flavored banks, and write standard D50 ONE WAY
BULK LOAD image banks. These resulting files should load easily with
any system's SYSTEM EXCLUSIVE utility.

The NORMAL D50 bulk dump image file should be 36048 bytes long. There
are 39 of these banks. There are also 28 short banks, which will 
be discussed below. 

The load procedure you should use is:

On the D50:
===========

1. Press TUNE/FUNCTION, select PRTCT OFF (using DECREMENT button), and
	press EXIT.  (You need to do this only once each time after you
	power up.)

2. Press and _HOLD_ the DATA TRANSFER key. While holding it, press the
	(B.LOAD) button under the display.

3. Press ENTER in response to the ARE YOU SURE? prompt.

On the Computer:
================

Start your SYSEX dump to the sythesizer.

On the D50:
===========

You should see LOADING in the display, and periods (...) should show up
as the transfer progresses. If all goes well, you'll see 9 periods and
then see the word COMPLETED. The bank has been successfully loaded.

Several of these banks will NOT get a 'COMPLETED' message, but will show
MIDI COMMUNICATIONS ERROR. Don't panic! The data (at least 99.99% of it)
is IN the synth. Just press the EXIT button, and select any patch. You'll 
see that the new data is in there. If the MIDI COMMUNICATIONS ERROR bothers 
you, simply dump the synth data back to the computer and VOILA - you have a
sanitized bank (I didn't have the strength to load and save almost 70 banks
after the past few days of hacking). I may upload a version of this file
in the future that does have all the banks sanitized, but for now, at least 
they _load_.


-------------------------------------------------------------------------
Loading short banks:
====================

Use exactly the same procedure as above. Only 4 periods will appear
during the LOAD process, and then the D50 will appear to hang. No biggie...
wait a few seconds, and press exit. You'll see a CANCEL message, and 
then you can use the new patches. Note that these short banks ONLY
replace patches 11 through 48... 51-88 remain unchanged
-------------------------------------------------------------------------

Why did I bother?
=================

Simply because it needed to be done, and it was a challenge. I LOVE
to see lots of resources (samples, patches, etc.) made available for the
public good, and this is the same reason I wrote SAMDISK (exchange for the 
and file software for Roland Samplers).

PLEASE - if _you_ have any slick (or not-so-slick) banks for the D50,
upload them to Compuserve's MIDI Forum, the UCSD server, post them on
the Internet, or share them any way you can. Do your part to help the
D50 and MIDI communities at large.
--------------------------------------------------------------------------

